---
Fuzzer filename: '/src/qpdf/fuzz/pngpredictor_fuzzer.cc'
All functions:
  Function list name: All functions
  Elements:
    - functionName:    strlen
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __gxx_personality_v0
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __clang_call_terminate
      functionSourceFile: ''
      linkageType:     WeakODRLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          3
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached:
        - __cxa_begin_catch
      functionUses:    6
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __cxa_begin_catch
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __cxa_end_catch
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    5
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN8PipelineD2Ev
      functionSourceFile: '/src/qpdf/include/qpdf/Pipeline.hh'
      linkageType:     InternalLinkage
      functionLinenumber: 52
      functionLinenumberEnd: 52
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          17
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN8PipelineD0Ev
      functionSourceFile: '/src/qpdf/include/qpdf/Pipeline.hh'
      linkageType:     InternalLinkage
      functionLinenumber: 52
      functionLinenumberEnd: 52
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          5
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __cxa_pure_virtual
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    LLVMFuzzerTestOneInput
      functionSourceFile: '/src/qpdf/fuzz/pngpredictor_fuzzer.cc'
      linkageType:     externalLinkage
      functionLinenumber: 46
      functionLinenumberEnd: 49
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          20
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN10FuzzHelper3runEv
        - _ZN10FuzzHelperC2EPKhm
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'fuzz/pngpredictor_fuzzer.cc:47,16'
          Dst:             _ZN10FuzzHelperC2EPKhm
        - Src:             'fuzz/pngpredictor_fuzzer.cc:48,7'
          Dst:             _ZN10FuzzHelper3runEv
    - functionName:    _ZN10FuzzHelper3runEv
      functionSourceFile: '/src/qpdf/fuzz/pngpredictor_fuzzer.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 36
      functionLinenumberEnd: 42
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         16
      ICount:          83
      EdgeCount:       26
      CyclomaticComplexity: 12
      functionsReached:
        - _ZN10FuzzHelper8doChecksEv
        - __clang_call_terminate
        - __cxa_begin_catch
        - __cxa_end_catch
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'fuzz/pngpredictor_fuzzer.cc:38,9'
          Dst:             _ZN10FuzzHelper8doChecksEv
        - Src:             'fuzz/pngpredictor_fuzzer.cc:39,5'
          Dst:             __cxa_begin_catch
        - Src:             'fuzz/pngpredictor_fuzzer.cc:41,5'
          Dst:             __cxa_end_catch
        - Src:             'fuzz/pngpredictor_fuzzer.cc:41,5'
          Dst:             __cxa_end_catch
        - Src:             'fuzz/pngpredictor_fuzzer.cc:41,5'
          Dst:             __clang_call_terminate
    - functionName:    _ZN10FuzzHelper8doChecksEv
      functionSourceFile: '/src/qpdf/fuzz/pngpredictor_fuzzer.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 27
      functionLinenumberEnd: 32
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         10
      ICount:          63
      EdgeCount:       16
      CyclomaticComplexity: 8
      functionsReached:
        - _ZN10Pl_DiscardC2Ev
        - _ZN10Pl_DiscardD2Ev
        - _ZN12Pl_PNGFilter5writeEPKhm
        - _ZN12Pl_PNGFilter6finishEv
        - _ZN12Pl_PNGFilterC2EPKcP8PipelineNS_8action_eEjjj
        - _ZN12Pl_PNGFilterD2Ev
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'fuzz/pngpredictor_fuzzer.cc:28,16'
          Dst:             _ZN10Pl_DiscardC2Ev
        - Src:             'fuzz/pngpredictor_fuzzer.cc:29,18'
          Dst:             _ZN12Pl_PNGFilterC2EPKcP8PipelineNS_8action_eEjjj
        - Src:             'fuzz/pngpredictor_fuzzer.cc:30,7'
          Dst:             _ZN12Pl_PNGFilter5writeEPKhm
        - Src:             'fuzz/pngpredictor_fuzzer.cc:31,7'
          Dst:             _ZN12Pl_PNGFilter6finishEv
        - Src:             'fuzz/pngpredictor_fuzzer.cc:32,1'
          Dst:             _ZN12Pl_PNGFilterD2Ev
        - Src:             'fuzz/pngpredictor_fuzzer.cc:32,1'
          Dst:             _ZN10Pl_DiscardD2Ev
        - Src:             'fuzz/pngpredictor_fuzzer.cc:32,1'
          Dst:             _ZN12Pl_PNGFilterD2Ev
        - Src:             'fuzz/pngpredictor_fuzzer.cc:32,1'
          Dst:             _ZN10Pl_DiscardD2Ev
    - functionName:    _ZN12Pl_PNGFilterD2Ev
      functionSourceFile: '/src/qpdf/libqpdf/qpdf/Pl_PNGFilter.hh'
      linkageType:     InternalLinkage
      functionLinenumber: 24
      functionLinenumberEnd: 24
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          19
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN8PipelineD2Ev
      functionUses:    3
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/qpdf/Pl_PNGFilter.hh:24,35'
          Dst:             _ZN8PipelineD2Ev
    - functionName:    _ZN10FuzzHelperC2EPKhm
      functionSourceFile: '/src/qpdf/fuzz/pngpredictor_fuzzer.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 22
      functionLinenumberEnd: 23
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         1
      ICount:          17
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN10Pl_Discard6finishEv
      functionSourceFile: '/src/qpdf/libqpdf/Pl_Discard.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 23
      functionLinenumberEnd: 24
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          7
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN10Pl_Discard5writeEPKhm
      functionSourceFile: '/src/qpdf/libqpdf/Pl_Discard.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 18
      functionLinenumberEnd: 19
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         1
      ICount:          11
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN10Pl_DiscardD0Ev
      functionSourceFile: '/src/qpdf/libqpdf/Pl_Discard.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 14
      functionLinenumberEnd: 14
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          16
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN10Pl_DiscardD2Ev
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pl_Discard.cc:14,25'
          Dst:             _ZN10Pl_DiscardD2Ev
    - functionName:    _ZN10Pl_DiscardD2Ev
      functionSourceFile: '/src/qpdf/libqpdf/Pl_Discard.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 14
      functionLinenumberEnd: 14
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          15
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN8PipelineD2Ev
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pl_Discard.cc:14,25'
          Dst:             _ZN8PipelineD2Ev
    - functionName:    _ZN10Pl_DiscardC2Ev
      functionSourceFile: '/src/qpdf/libqpdf/Pl_Discard.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 10
      functionLinenumberEnd: 11
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          16
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN8PipelineC2EPKcPS_
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pl_Discard.cc:9,5'
          Dst:             _ZN8PipelineC2EPKcPS_
    - functionName:    __cxa_rethrow
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN12Pl_PNGFilterD0Ev
      functionSourceFile: '/src/qpdf/libqpdf/qpdf/Pl_PNGFilter.hh'
      linkageType:     InternalLinkage
      functionLinenumber: 24
      functionLinenumberEnd: 24
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          16
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN12Pl_PNGFilterD2Ev
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/qpdf/Pl_PNGFilter.hh:24,35'
          Dst:             _ZN12Pl_PNGFilterD2Ev
    - functionName:    _ZN12Pl_PNGFilter6finishEv
      functionSourceFile: '/src/qpdf/libqpdf/Pl_PNGFilter.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 243
      functionLinenumberEnd: 254
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         6
      ICount:          50
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - _ZN12Pl_PNGFilter10processRowEv
        - _ZNK8Pipeline4nextEv
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pl_PNGFilter.cc:246,9'
          Dst:             _ZN12Pl_PNGFilter10processRowEv
        - Src:             'libqpdf/Pl_PNGFilter.cc:253,5'
          Dst:             _ZNK8Pipeline4nextEv
    - functionName:    _ZN12Pl_PNGFilter10processRowEv
      functionSourceFile: '/src/qpdf/libqpdf/Pl_PNGFilter.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 97
      functionLinenumberEnd: 103
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         6
      ICount:          29
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - _ZN12Pl_PNGFilter9decodeRowEv
        - _ZN12Pl_PNGFilter9encodeRowEv
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pl_PNGFilter.cc:99,9'
          Dst:             _ZN12Pl_PNGFilter9encodeRowEv
        - Src:             'libqpdf/Pl_PNGFilter.cc:101,9'
          Dst:             _ZN12Pl_PNGFilter9decodeRowEv
    - functionName:    _ZNK8Pipeline4nextEv
      functionSourceFile: '/src/qpdf/include/qpdf/Pipeline.hh'
      linkageType:     InternalLinkage
      functionLinenumber: 103
      functionLinenumberEnd: 104
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          9
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    5
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN12Pl_PNGFilter9encodeRowEv
      functionSourceFile: '/src/qpdf/libqpdf/Pl_PNGFilter.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 227
      functionLinenumberEnd: 239
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         10
      ICount:          88
      EdgeCount:       12
      CyclomaticComplexity: 4
      functionsReached:
        - _ZNK8Pipeline4nextEv
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pl_PNGFilter.cc:230,5'
          Dst:             _ZNK8Pipeline4nextEv
        - Src:             'libqpdf/Pl_PNGFilter.cc:234,13'
          Dst:             _ZNK8Pipeline4nextEv
        - Src:             'libqpdf/Pl_PNGFilter.cc:237,9'
          Dst:             _ZNK8Pipeline4nextEv
    - functionName:    _ZN12Pl_PNGFilter9decodeRowEv
      functionSourceFile: '/src/qpdf/libqpdf/Pl_PNGFilter.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 107
      functionLinenumberEnd: 132
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         13
      ICount:          75
      EdgeCount:       13
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN12Pl_PNGFilter11decodePaethEv
        - _ZN12Pl_PNGFilter13decodeAverageEv
        - _ZN12Pl_PNGFilter8decodeUpEv
        - _ZN12Pl_PNGFilter9decodeSubEv
        - _ZNK8Pipeline4nextEv
      functionUses:    1
      BranchProfiles:
        - Branch String:   'libqpdf/Pl_PNGFilter.cc:110,9'
          Branch Sides:    []
      Callsites:
        - Src:             'libqpdf/Pl_PNGFilter.cc:114,13'
          Dst:             _ZN12Pl_PNGFilter9decodeSubEv
        - Src:             'libqpdf/Pl_PNGFilter.cc:117,13'
          Dst:             _ZN12Pl_PNGFilter8decodeUpEv
        - Src:             'libqpdf/Pl_PNGFilter.cc:120,13'
          Dst:             _ZN12Pl_PNGFilter13decodeAverageEv
        - Src:             'libqpdf/Pl_PNGFilter.cc:123,13'
          Dst:             _ZN12Pl_PNGFilter11decodePaethEv
        - Src:             'libqpdf/Pl_PNGFilter.cc:131,5'
          Dst:             _ZNK8Pipeline4nextEv
    - functionName:    _ZN12Pl_PNGFilter9decodeSubEv
      functionSourceFile: '/src/qpdf/libqpdf/Pl_PNGFilter.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 136
      functionLinenumberEnd: 150
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         10
      ICount:          82
      EdgeCount:       12
      CyclomaticComplexity: 4
      functionsReached:
        - _ZN3QTC2TCEPKcS1_i
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pl_PNGFilter.cc:137,5'
          Dst:             _ZN3QTC2TCEPKcS1_i
    - functionName:    _ZN12Pl_PNGFilter8decodeUpEv
      functionSourceFile: '/src/qpdf/libqpdf/Pl_PNGFilter.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 154
      functionLinenumberEnd: 163
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         7
      ICount:          67
      EdgeCount:       8
      CyclomaticComplexity: 3
      functionsReached:
        - _ZN3QTC2TCEPKcS1_i
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pl_PNGFilter.cc:155,5'
          Dst:             _ZN3QTC2TCEPKcS1_i
    - functionName:    _ZN12Pl_PNGFilter13decodeAverageEv
      functionSourceFile: '/src/qpdf/libqpdf/Pl_PNGFilter.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 167
      functionLinenumberEnd: 184
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         10
      ICount:          99
      EdgeCount:       12
      CyclomaticComplexity: 4
      functionsReached:
        - _ZN3QTC2TCEPKcS1_i
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pl_PNGFilter.cc:168,5'
          Dst:             _ZN3QTC2TCEPKcS1_i
    - functionName:    _ZN12Pl_PNGFilter11decodePaethEv
      functionSourceFile: '/src/qpdf/libqpdf/Pl_PNGFilter.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 188
      functionLinenumberEnd: 206
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         10
      ICount:          109
      EdgeCount:       12
      CyclomaticComplexity: 4
      functionsReached:
        - _ZN12Pl_PNGFilter14PaethPredictorEiii
        - _ZN3QTC2TCEPKcS1_i
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pl_PNGFilter.cc:189,5'
          Dst:             _ZN3QTC2TCEPKcS1_i
        - Src:             'libqpdf/Pl_PNGFilter.cc:204,60'
          Dst:             _ZN12Pl_PNGFilter14PaethPredictorEiii
    - functionName:    _ZN3QTC2TCEPKcS1_i
      functionSourceFile: '/src/qpdf/include/qpdf/QTC.hh'
      linkageType:     InternalLinkage
      functionLinenumber: 36
      functionLinenumberEnd: 40
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         1
      ICount:          10
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN12Pl_PNGFilter14PaethPredictorEiii
      functionSourceFile: '/src/qpdf/libqpdf/Pl_PNGFilter.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 210
      functionLinenumberEnd: 223
      functionDepth:   0
      returnType:      int
      argCount:        4
      argTypes:
        - 'N/A'
        - int
        - int
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         11
      ICount:          85
      EdgeCount:       14
      CyclomaticComplexity: 5
      functionsReached:
        - _ZL8abs_diffii
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pl_PNGFilter.cc:212,14'
          Dst:             _ZL8abs_diffii
        - Src:             'libqpdf/Pl_PNGFilter.cc:213,14'
          Dst:             _ZL8abs_diffii
        - Src:             'libqpdf/Pl_PNGFilter.cc:214,14'
          Dst:             _ZL8abs_diffii
    - functionName:    _ZL8abs_diffii
      functionSourceFile: '/src/qpdf/libqpdf/Pl_PNGFilter.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 17
      functionLinenumberEnd: 18
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - int
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         4
      ICount:          28
      EdgeCount:       4
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN12Pl_PNGFilter5writeEPKhm
      functionSourceFile: '/src/qpdf/libqpdf/Pl_PNGFilter.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 70
      functionLinenumberEnd: 93
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         12
      ICount:          117
      EdgeCount:       15
      CyclomaticComplexity: 5
      functionsReached:
        - _ZN12Pl_PNGFilter10processRowEv
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pl_PNGFilter.cc:79,9'
          Dst:             _ZN12Pl_PNGFilter10processRowEv
    - functionName:    _ZN12Pl_PNGFilter14setMemoryLimitEy
      functionSourceFile: '/src/qpdf/libqpdf/Pl_PNGFilter.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 64
      functionLinenumberEnd: 66
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - size_t
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          8
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN5QUtil17make_shared_arrayIhEENSt3__110shared_ptrIT_EEm
      functionSourceFile: '/src/qpdf/include/qpdf/QUtil.hh'
      linkageType:     InternalLinkage
      functionLinenumber: 181
      functionLinenumberEnd: 182
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          19
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN12Pl_PNGFilterC2EPKcP8PipelineNS_8action_eEjjj
      functionSourceFile: '/src/qpdf/libqpdf/Pl_PNGFilter.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 30
      functionLinenumberEnd: 60
      functionDepth:   0
      returnType:      void
      argCount:        7
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - int
        - int
        - int
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         47
      ICount:          316
      EdgeCount:       92
      CyclomaticComplexity: 47
      functionsReached:
        - _ZN5QUtil17make_shared_arrayIhEENSt3__110shared_ptrIT_EEm
        - _ZN8PipelineC2EPKcPS_
        - _ZN8PipelineD2Ev
        - _ZNSt11logic_errorC1EPKc
        - _ZNSt13runtime_errorC1EPKc
        - __cxa_allocate_exception
        - __cxa_free_exception
        - __cxa_throw
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pl_PNGFilter.cc:28,5'
          Dst:             _ZN8PipelineC2EPKcPS_
        - Src:             'libqpdf/Pl_PNGFilter.cc:32,9'
          Dst:             __cxa_allocate_exception
        - Src:             'libqpdf/Pl_PNGFilter.cc:32,15'
          Dst:             _ZNSt11logic_errorC1EPKc
        - Src:             'libqpdf/Pl_PNGFilter.cc:32,9'
          Dst:             __cxa_throw
        - Src:             'libqpdf/Pl_PNGFilter.cc:32,9'
          Dst:             __cxa_free_exception
        - Src:             'libqpdf/Pl_PNGFilter.cc:35,9'
          Dst:             __cxa_allocate_exception
        - Src:             'libqpdf/Pl_PNGFilter.cc:35,15'
          Dst:             _ZNSt13runtime_errorC1EPKc
        - Src:             'libqpdf/Pl_PNGFilter.cc:35,9'
          Dst:             __cxa_throw
        - Src:             'libqpdf/Pl_PNGFilter.cc:35,9'
          Dst:             __cxa_free_exception
        - Src:             'libqpdf/Pl_PNGFilter.cc:39,9'
          Dst:             __cxa_allocate_exception
        - Src:             'libqpdf/Pl_PNGFilter.cc:39,15'
          Dst:             _ZNSt13runtime_errorC1EPKc
        - Src:             'libqpdf/Pl_PNGFilter.cc:39,9'
          Dst:             __cxa_throw
        - Src:             'libqpdf/Pl_PNGFilter.cc:39,9'
          Dst:             __cxa_free_exception
        - Src:             'libqpdf/Pl_PNGFilter.cc:45,9'
          Dst:             __cxa_allocate_exception
        - Src:             'libqpdf/Pl_PNGFilter.cc:45,15'
          Dst:             _ZNSt13runtime_errorC1EPKc
        - Src:             'libqpdf/Pl_PNGFilter.cc:45,9'
          Dst:             __cxa_throw
        - Src:             'libqpdf/Pl_PNGFilter.cc:45,9'
          Dst:             __cxa_free_exception
        - Src:             'libqpdf/Pl_PNGFilter.cc:48,9'
          Dst:             __cxa_allocate_exception
        - Src:             'libqpdf/Pl_PNGFilter.cc:48,15'
          Dst:             _ZNSt13runtime_errorC1EPKc
        - Src:             'libqpdf/Pl_PNGFilter.cc:48,9'
          Dst:             __cxa_throw
        - Src:             'libqpdf/Pl_PNGFilter.cc:48,9'
          Dst:             __cxa_free_exception
        - Src:             'libqpdf/Pl_PNGFilter.cc:51,12'
          Dst:             _ZN5QUtil17make_shared_arrayIhEENSt3__110shared_ptrIT_EEm
        - Src:             'libqpdf/Pl_PNGFilter.cc:52,12'
          Dst:             _ZN5QUtil17make_shared_arrayIhEENSt3__110shared_ptrIT_EEm
        - Src:             'libqpdf/Pl_PNGFilter.cc:60,1'
          Dst:             _ZN8PipelineD2Ev
    - functionName:    __cxa_allocate_exception
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - size_t
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    8
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZNSt11logic_errorC1EPKc
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZNSt11logic_errorD1Ev
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __cxa_throw
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    8
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __cxa_free_exception
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    7
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZNSt13runtime_errorC1EPKc
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZNSt13runtime_errorD1Ev
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZNSt20bad_array_new_lengthC1Ev
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZNSt20bad_array_new_lengthD1Ev
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZNSt12length_errorC2B8ne220000EPKc
      functionSourceFile: '/usr/local/bin/../include/c++/v1/stdexcept'
      linkageType:     WeakODRLinkage
      functionLinenumber: 154
      functionLinenumberEnd: 154
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          19
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZNSt11logic_errorC2EPKc
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '/usr/local/bin/../include/c++/v1/stdexcept:154,66'
          Dst:             _ZNSt11logic_errorC2EPKc
    - functionName:    _ZNSt11logic_errorC2EPKc
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZNSt12length_errorD1Ev
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN8PipelinelsEy
      functionSourceFile: '/src/qpdf/libqpdf/Pipeline.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 105
      functionLinenumberEnd: 108
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          41
      EdgeCount:       10
      CyclomaticComplexity: 6
      functionsReached:
        - _ZN8Pipeline11writeStringERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pipeline.cc:106,5'
          Dst:             _ZN8Pipeline11writeStringERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
    - functionName:    _ZN8Pipeline11writeStringERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
      functionSourceFile: '/src/qpdf/libqpdf/Pipeline.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 36
      functionLinenumberEnd: 38
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          21
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN8Pipeline5writeEPKcm
      functionUses:    9
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pipeline.cc:37,5'
          Dst:             _ZN8Pipeline5writeEPKcm
    - functionName:    _ZN8Pipeline5writeEPKcm
      functionSourceFile: '/src/qpdf/libqpdf/Pipeline.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 112
      functionLinenumberEnd: 114
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          26
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN8PipelinelsEm
      functionSourceFile: '/src/qpdf/libqpdf/Pipeline.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 98
      functionLinenumberEnd: 101
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          41
      EdgeCount:       10
      CyclomaticComplexity: 6
      functionsReached:
        - _ZN8Pipeline11writeStringERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pipeline.cc:99,5'
          Dst:             _ZN8Pipeline11writeStringERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
    - functionName:    _ZN8PipelinelsEj
      functionSourceFile: '/src/qpdf/libqpdf/Pipeline.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 91
      functionLinenumberEnd: 94
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          41
      EdgeCount:       10
      CyclomaticComplexity: 6
      functionsReached:
        - _ZN8Pipeline11writeStringERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pipeline.cc:92,5'
          Dst:             _ZN8Pipeline11writeStringERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
    - functionName:    _ZN8PipelinelsEt
      functionSourceFile: '/src/qpdf/libqpdf/Pipeline.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 84
      functionLinenumberEnd: 87
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - short
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          42
      EdgeCount:       10
      CyclomaticComplexity: 6
      functionsReached:
        - _ZN8Pipeline11writeStringERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pipeline.cc:85,5'
          Dst:             _ZN8Pipeline11writeStringERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
    - functionName:    _ZN8PipelinelsEx
      functionSourceFile: '/src/qpdf/libqpdf/Pipeline.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 77
      functionLinenumberEnd: 80
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          41
      EdgeCount:       10
      CyclomaticComplexity: 6
      functionsReached:
        - _ZN8Pipeline11writeStringERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pipeline.cc:78,5'
          Dst:             _ZN8Pipeline11writeStringERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
    - functionName:    _ZN8PipelinelsEl
      functionSourceFile: '/src/qpdf/libqpdf/Pipeline.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 70
      functionLinenumberEnd: 73
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          41
      EdgeCount:       10
      CyclomaticComplexity: 6
      functionsReached:
        - _ZN8Pipeline11writeStringERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pipeline.cc:71,5'
          Dst:             _ZN8Pipeline11writeStringERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
    - functionName:    _ZN8PipelinelsEi
      functionSourceFile: '/src/qpdf/libqpdf/Pipeline.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 63
      functionLinenumberEnd: 66
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          41
      EdgeCount:       10
      CyclomaticComplexity: 6
      functionsReached:
        - _ZN8Pipeline11writeStringERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pipeline.cc:64,5'
          Dst:             _ZN8Pipeline11writeStringERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
    - functionName:    _ZN8PipelinelsEs
      functionSourceFile: '/src/qpdf/libqpdf/Pipeline.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 56
      functionLinenumberEnd: 59
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - short
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          42
      EdgeCount:       10
      CyclomaticComplexity: 6
      functionsReached:
        - _ZN8Pipeline11writeStringERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pipeline.cc:57,5'
          Dst:             _ZN8Pipeline11writeStringERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
    - functionName:    _ZN8PipelinelsERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
      functionSourceFile: '/src/qpdf/libqpdf/Pipeline.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 49
      functionLinenumberEnd: 51
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          18
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN8Pipeline11writeStringERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pipeline.cc:50,5'
          Dst:             _ZN8Pipeline11writeStringERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
    - functionName:    _ZN8PipelinelsEPKc
      functionSourceFile: '/src/qpdf/libqpdf/Pipeline.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 42
      functionLinenumberEnd: 44
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          18
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN8Pipeline9writeCStrEPKc
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pipeline.cc:43,5'
          Dst:             _ZN8Pipeline9writeCStrEPKc
    - functionName:    _ZN8Pipeline9writeCStrEPKc
      functionSourceFile: '/src/qpdf/libqpdf/Pipeline.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 30
      functionLinenumberEnd: 32
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          20
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _ZN8Pipeline5writeEPKcm
        - strlen
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pipeline.cc:31,17'
          Dst:             strlen
        - Src:             'libqpdf/Pipeline.cc:31,5'
          Dst:             _ZN8Pipeline5writeEPKcm
    - functionName:    _ZNK8Pipeline13getIdentifierEv
      functionSourceFile: '/src/qpdf/libqpdf/Pipeline.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 24
      functionLinenumberEnd: 25
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          18
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN8Pipeline7getNextEb
      functionSourceFile: '/src/qpdf/libqpdf/Pipeline.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 14
      functionLinenumberEnd: 20
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - bool
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         18
      ICount:          88
      EdgeCount:       34
      CyclomaticComplexity: 18
      functionsReached:
        - _ZNSt11logic_errorC1ERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
        - __cxa_allocate_exception
        - __cxa_free_exception
        - __cxa_throw
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'libqpdf/Pipeline.cc:16,9'
          Dst:             __cxa_allocate_exception
        - Src:             'libqpdf/Pipeline.cc:16,15'
          Dst:             _ZNSt11logic_errorC1ERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
        - Src:             'libqpdf/Pipeline.cc:16,9'
          Dst:             __cxa_throw
        - Src:             'libqpdf/Pipeline.cc:16,9'
          Dst:             __cxa_free_exception
    - functionName:    _ZNSt11logic_errorC1ERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN8PipelineC2EPKcPS_
      functionSourceFile: '/src/qpdf/libqpdf/Pipeline.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 9
      functionLinenumberEnd: 10
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          25
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
...
